
%{!?_licensedir:%global license %%doc}

Name:    libkeduvocdocument
Summary: Library to parse, convert, and manipulate KVTML files
Version: 15.04.0
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/libkeduvocdocument
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kio-devel

BuildRequires:  pkgconfig(Qt5Xml)

Requires:       kf5-filesystem


%description
A Library to parse, convert, and manipulate KVTML files (and older formats
including kvtml1, csv, etc.).

%package devel
Summary:  Development files for %{name}
License:  GPLv2+ and LGPLv2 and BSD
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc AUTHORS README 
%license COPYING
%{_kf5_libdir}/libKEduVocDocument.so.5*

%files devel
%license COPYING.LIB
%{_includedir}/libkeduvocdocument/
%{_kf5_libdir}/libKEduVocDocument.so
%license COPYING-CMAKE-SCRIPTS 
%{_kf5_libdir}/cmake/libkeduvocdocument/



%changelog
* Mon Apr 13 2015 Rex Dieter <rdieter@fedoraproject.org> 15.04.0-1
- 15.04.0

* Sun Apr 12 2015 Rex Dieter <rdieter@fedoraproject.org> 15.03.97-1
- 15.03.97
